/*!
 * @author electricessence / https://github.com/electricessence/
 * Licensing: MIT https://github.com/electricessence/TypeScript.NET-Core/blob/master/LICENSE.md
 * Based on: https://en.wikipedia.org/wiki/Uniform_Resource_Identifier
 */
!function(t){if("object"==typeof module&&"object"==typeof module.exports){var e=t(require,exports);void 0!==e&&(module.exports=e)}else"function"==typeof define&&define.amd&&define(["require","exports","typescript-dotnet-core/Types","./Scheme","./QueryParams","typescript-dotnet-core/Text/Utility","typescript-dotnet-core/Exceptions/ArgumentException","typescript-dotnet-core/Exceptions/ArgumentOutOfRangeException"],t)}(function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var u,r,f=t("typescript-dotnet-core/Types"),n=t("./Scheme"),a=t("./QueryParams"),s=t("typescript-dotnet-core/Text/Utility"),p=t("typescript-dotnet-core/Exceptions/ArgumentException"),i=t("typescript-dotnet-core/Exceptions/ArgumentOutOfRangeException"),c=void 0,o=function(){function n(t,e,r,n,i,u,o){var s=this;this.scheme=v(t)||null,this.userInfo=e||null,this.host=r||null,this.port=function t(e){if(0===e)return e;if(!e)return null;var r;if(f.default.isNumber(e)){if(0<=(r=e)&&isFinite(r))return r}else if(f.default.isString(e)&&(r=parseInt(e))&&!isNaN(r))return t(r);throw new p.default("port","invalid value")}(n),this.authority=s.getAuthority()||null,this.path=i||null,f.default.isString(u)||(u=a.encode(u)),this.query=w(u)||null,Object.freeze(this.queryParams=s.query?a.parseToMap(s.query):{}),this.pathAndQuery=s.getPathAndQuery()||null,this.fragment=O(o)||null,this.absoluteUri=s.getAbsoluteUri(),this.baseUri=s.absoluteUri.replace(/[?#].*/,""),Object.freeze(this)}return n.prototype.equals=function(t){return this===t||this.absoluteUri==n.toString(t)},n.from=function(t,e){var r=f.default.isString(t)?n.parse(t):t;return new n(r&&r.scheme||e&&e.scheme,r&&r.userInfo||e&&e.userInfo,r&&r.host||e&&e.host,r&&f.default.isNumber(r.port,!0)?r.port:e&&e.port,r&&r.path||e&&e.path,r&&r.query||e&&e.query,r&&r.fragment||e&&e.fragment)},n.parse=function(t,e){void 0===e&&(e=!0);var r=null,n=I(t,function(t){r=t});if(e&&n)throw n;return r},n.tryParse=function(t,e){return!I(t,e)},n.copyOf=function(t){return h(t)},n.prototype.copyTo=function(t){return h(this,t)},n.prototype.updateQuery=function(t){var e=this.toMap();return e.query=t,n.from(e)},n.prototype.getAbsoluteUri=function(){return A(this)},n.prototype.getAuthority=function(){return x(this)},n.prototype.getPathAndQuery=function(){return q(this)},Object.defineProperty(n.prototype,"pathSegments",{get:function(){return this.path&&this.path.match(/^[/]|[^/]*[/]|[^/]+$/g)||[]},enumerable:!0,configurable:!0}),n.prototype.toMap=function(){return this.copyTo({})},n.prototype.toString=function(){return this.absoluteUri},n.toString=function(t){return t instanceof n?t.absoluteUri:A(t)},n.getAuthority=function(t){return x(t)},n}();function h(t,e){var r,n=0;for(e||(e={});r=u[n++];){var i=t[r];i&&(e[r]=i)}return e}e.Uri=o,(r=u=e.Fields||(e.Fields={}))[r.scheme=0]="scheme",r[r.userInfo=1]="userInfo",r[r.host=2]="host",r[r.port=3]="port",r[r.path=4]="path",r[r.query=5]="query",r[r.fragment=6]="fragment",Object.freeze(u);var l="/",d="//",y=a.Separator.Query,m="#",g="",b="@";function v(t){var e=t;if(f.default.isString(e)){if(!e)return null;if(!(e=s.trim(e).toLowerCase().replace(/[^a-z0-9+.-]+$/g,g)))return null;if(n.default.isValid(e))return e}else if(null==e)return e;throw new i.default("scheme",t,"Invalid scheme.")}function x(t){if(!t.host){if(t.userInfo)throw new p.default("host","Cannot include user info when there is no host.");if(f.default.isNumber(t.port,!0))throw new p.default("host","Cannot include a port when there is no host.")}var e=t.host||g;return e&&(t.userInfo&&(e=t.userInfo+b+e),isNaN(t.port)||(e+=":"+t.port),e=d+e),e}function w(t){return t&&(0!==t.indexOf(y)?y:g)+t}function O(t){return t&&(0!==t.indexOf(m)?m:g)+t}function q(t){var e=t.path,r=t.query;return g+(e||g)+(w(r)||g)}function A(t){var e=v(t.scheme),r=x(t),n=q(t),i=O(t.fragment),u=g+(e&&e+":"||g)+(r||g),o=g+(n||g)+(i||g);if(u&&o&&e&&!r)throw new p.default("authority","Cannot format schemed Uri with missing authority.");return u&&n&&0!==n.indexOf(l)&&(o=l+o),u+o}function I(t,e){if(!t)return new p.default("url","Nothing to parse.");var r,n={};if(-1!=(r=t.indexOf(m))&&(n.fragment=t.substring(r+1)||c,t=t.substring(0,r)),-1!=(r=t.indexOf(y))&&(n.query=t.substring(r+1)||c,t=t.substring(0,r)),-1!=(r=t.indexOf(d))){var i=s.trim(t.substring(0,r)),u=/:$/;if(!u.test(i))return new p.default("url","Scheme was improperly formatted");i=s.trim(i.replace(u,g));try{n.scheme=v(i)||c}catch(t){return t}t=t.substring(r+2)}if(-1!=(r=t.indexOf(l))&&(n.path=t.substring(r),t=t.substring(0,r)),-1!=(r=t.indexOf(b))&&(n.userInfo=t.substring(0,r)||c,t=t.substring(r+1)),-1!=(r=t.indexOf(":"))){var o=parseInt(s.trim(t.substring(r+1)));if(isNaN(o))return new p.default("url","Port was invalid.");n.port=o,t=t.substring(0,r)}return(t=s.trim(t))&&(n.host=t),e(h(n)),null}e.default=o});
//# sourceMappingURL=Uri.js.map
